starter.config(function ($stateProvider) {
    $stateProvider.state('workatd', {
        url: '/index',
        templateUrl: 'templates/index.html',
        controller: 'workatd-index'
    })

    .state('workatd-setting', {
        url: '/workatd-setting',
        templateUrl: 'templates/setting.html',
        controller: 'workatd-setting'
    })

    .state('workatd-settingdetail', {
        url: '/workatd-settingdetail/:id',
        templateUrl: 'templates/settingdetail.html',
        controller: 'workatd-settingdetail'
    })

    .state('workatd-settingweek', {
        url: '/workatd-settingweek/:id',
        templateUrl: 'templates/settingweek.html',
        controller: 'workatd-settingweek'
    })

    .state('workatd-settingmore', {
        url: '/workatd-settingmore',
        templateUrl: 'templates/settingmore.html'
    })

    .state('workatd-settingset', {
        url: '/workatd-settingset/:type/:id',
        templateUrl: 'templates/settingset.html',
        controller: 'workatd-settingset'
    })

    .state('workatd-dailyreport', {
        url: '/workatd-dailyreport',
        templateUrl: 'templates/dailyreport.html',
        controller: 'workatd-dailyreport'
    })

    .state('workatd-dailyreport1', {
        url: '/workatd-dailyreport1/:id',
        templateUrl: 'templates/dailyreport1.html',
        controller: 'workatd-dailyreport'
    })

    .state('workatd-dailyreport2', {
        url: '/workatd-dailyreport2/:id/:date',
        templateUrl: 'templates/dailyreport2.html',
        controller: 'workatd-dailyreport'
    })

    .state('reportdetails', {
        url: '/reportdetails/:workatdsetid/:atdtype/:date/:time/:type/:deptid',
        templateUrl: 'templates/reportdetails.html',
        controller: 'ReportDetailsCtrl'
    })

    .state('personhistory', {
        url: '/personhistory/:id',
        templateUrl: 'templates/personhistory.html',
        controller: 'workatd-dailyreport'
    })

    .state('checkindetail', {
        url: '/checkindetail/:check_dd',
        templateUrl: 'templates/checkindetail.html',
        controller: 'CheckinDetailCtrl'
    })

    .state('person-monthcount', {
        url: '/person-monthcount/:year/:month',
        templateUrl: 'templates/person-monthcount.html',
        controller: 'PersonMonthCountCtrl'
    })

    .state('person-monthcountdetail', {
        url: '/person-monthcountdetail/:year/:month/:type',
        templateUrl: 'templates/person-monthcountdetail.html',
        controller: 'PersonMonthCountDetailCtrl'
    })

    .state('monthcount', {
        url: '/monthcount/:year/:month',
        templateUrl: 'templates/monthcount.html',
        controller: 'MonthCountCtrl'
    })

    .state('monthcountdetail', {
        url: '/monthcountdetail/:year/:month/:type',
        templateUrl: 'templates/monthcountdetail.html',
        controller: 'MonthCountDetailCtrl'
    })
});
